Skip to main content
POST
/
v1
/
tasks
/
{taskId}
/
automations
/
{automationId}
/
versions
Create a published version record for an automation
curl --request POST \
  --url https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/versions \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "version": 1,
  "scriptKey": "org_abc123/tsk_abc123/aut_abc123.v1.js"
}
'

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

taskId
string
required

Task ID

automationId
string
required

Automation ID

Body

application/json
version
number
required

Version number for this published script

Example:

1

scriptKey
string
required

S3 key of the already-generated & published automation script (returned by the publish step).

Example:

"org_abc123/tsk_abc123/aut_abc123.v1.js"

changelog
string

Optional changelog describing this version

Response

201 - undefined